// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-04-07 21:43
package define

// FilterRule ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 21:43 2024/4/7
type FilterRule struct {
	SourceDataPath   string `json:"source_data_path"`   // 原始数据路径
	TargetDataPath   string `json:"target_data_path"`   // 目标数据路径
	IsRequired       bool   `json:"is_required"`        // 要求字段必须存在
	AllowNil         bool   `json:"allow_nil"`          // 允许nil值
	DefaultValue     string `json:"default_value"`      // 不存在时的默认值
	Type             string `json:"type"`               // 数据类型
	DataMaskStrategy string `json:"data_mask_strategy"` // 数据脱敏策略
}
