// Package strategy ...
//
// Description : data_mask ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2023-05-24 15:02
package strategy

import (
	"git.zhangdeman.cn/zhangdeman/data_mask/define"
)

// PasswordDataMask 密码数据脱敏
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 15:04 2023/5/24
type PasswordDataMask struct {
}

func (p PasswordDataMask) Mask(input string) string {
	return "********"
}

func (p PasswordDataMask) Type() string {
	return define.TypePassword
}
